//Adding / subtracting with two pushbuttons and a LCD
//
//
//The circuit:
//LCD RS pin to digital pin 12
//LCD Enable pin to digital pin 11
//LCD D4 pin to digital pin 5
//LCD D5 pin to digital pin 4
//LCD D6 pin to digital pin 3
//LCD D7 pin to digital pin 2
//LCD R/W pin to ground
//10K potentiometer:
//ends to +5V and ground
//wiper to LCD VO pin (pin 3)
//
//Source & info at: www.HomoFaciens.de/technics-computer-arduino-uno_en_navion.htm

// include the library code:
#include <LiquidCrystal.h>
#include <util/delay.h>

int buttonStatus = 0;
int buttonStatusOld = 0;
int readValue = 0;
int step = 0;

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

void setup() {
  // set up the LCD's number of columns and rows: 
  lcd.begin(16, 2);
  // Print a message to the LCD.
  lcd.print("Calculator");
}

void loop() {
  
  buttonStatusOld = buttonStatus;
  buttonStatus = 0;
  if(digitalRead(0) == 0){
    buttonStatus += 1;
  }
  if(digitalRead(1) == 0){
    buttonStatus += 2;
  }
  
  if(buttonStatusOld == 1 && buttonStatus == 0){
    readValue++;
  }//if(status == 1){
   
  if(buttonStatusOld == 2 && buttonStatus == 0){
    readValue--;
  }//if(status == 1){
   
  if(buttonStatusOld == 3){
    readValue = 0;
  }//if(status == 1){
  
  
  // set the cursor to column 0, line 1
  // (note: line 1 is the second row, since counting begins with 0):
  lcd.setCursor(0, 1);
  // print the number of seconds since reset:
  lcd.print("Count = ");
  lcd.print(readValue);
  lcd.print("   ");
  
  _delay_ms(100);//Delay to avoid counting pulses caused by contact bounce
   
}

